Devices
10 operations at https://api.zaitrack.app. Request and response bodies are JSON with camelCase keys; ids are UUIDs; times are RFC 3339 in UTC.
A device's track is under /v1/devices/{deviceId}/track and the vehicle it is bound to under /v1/devices/{deviceId}/vehicle; both are listed on Positions and Vehicles.
Devices: vehicle, basics
GET /v1/devices/{deviceId}/vehicle: The vehicle a device is bound toGET /v1/devices: List devicesPOST /v1/devices: Register a deviceGET /v1/devices/{id}: Get a devicePATCH /v1/devices/{id}: Update a device (If-Match version)POST /v1/devices/{id}:activate: Activate a device
Devices: basics, track
POST /v1/devices/{id}:bind: Bind a device to an assetPOST /v1/devices/{id}:unbind: Unbind a devicePOST /v1/devices/{id}:retire: Retire a deviceGET /v1/devices/{deviceId}/track: A device's positions (?from=&to=&limit=)